import javax.microedition.midlet.MIDlet;


/**
 * This class can be used to test the <code>FileIO</code> and the
 * <code>FileIOListener</code> classes.
 *
 * @author Michel Deriaz
 */ 
public class TestFileIO extends MIDlet implements FileIOListener {
  final static String DIR = "/root1/TestFileIO/";
  final static String FILENAME = "/root1/TestFileIO/readme.txt";
  final static String TEXT = "This is a test\n";
  final static int TEST = 1; // [1..6]

  
  public TestFileIO() {
    FileIO fileIO = new FileIO(this);
    if (TEST == 1) printResult(fileIO.mkdir(DIR));
    if (TEST == 2) printResult(fileIO.create(FILENAME));
    if (TEST == 3) printResult(fileIO.exists(FILENAME));
    if (TEST == 4) fileIO.write(FILENAME, TEXT.getBytes());
    if (TEST == 5) fileIO.append(FILENAME, TEXT.getBytes());
    if (TEST == 6) fileIO.read(FILENAME);
  }


  public void fileRead(int state, byte[] content) {
    printResult(state);
    System.out.println("Text = " + new String(content));
  }
  
    
  public void fileWritten(int state) {
    printResult(state);
  }
  

  public void fileAppended(int state) {
    printResult(state);    
  }


  protected void startApp() {}

    
  protected void pauseApp () {}


  protected void destroyApp(boolean unconditional) {}
  

  private void printResult(int state) {
    if (state == FileIO.STATE_OK) System.out.println("OK: Operation done successfully");
    if (state == FileIO.STATE_PROBLEM) System.out.println("ERROR: A problem occured.");
    if (state == FileIO.STATE_NOT_READY) System.out.println("ERROR: The class is not ready.");
    if (state == FileIO.STATE_FILENAME_NULL) System.out.println("ERROR: Filename is null.");
    if (state == FileIO.STATE_CONTENT_NULL) System.out.println("ERROR: Content is null.");
  }
}